'use strict';

const Promise = require("bluebird");

const parseExtendedAttributeRecord = require("../parse/extended-attribute-record");

module.exports = function readExtendedAttributeRecord(image, sector, sectorCount) {
    return Promise.try(() => {
        return image.readSectors(sector, sectorCount);
    }).then((buffer) => {
        return parseExtendedAttributeRecord(buffer);
    });
};
